---
# - name: Copy {{ service_item }} documentation into place.
#   template:
#     src: roles/{{ service_item }}/docs.md
#     dest: "{{ volumes_root }}/docs/docs/software/{{ service_item }}.md"
#   vars:
#     tor_domain: "{{ tor_http_domain_file.stdout | default('') }}"
#   when: "docs.enable == True and service_item.source_service is undefined"

- name: Make {{ service_item }} directory.
  file:
    path: "{{ volumes_root }}/{{ service_item }}"
    state: directory

- name: Copy {{ service_item }} docker-compose.yml file into place.
  template:
    src: roles/{{ service_item }}/templates/docker-compose.{{ lookup('vars',service_item).source_service | default(service_item) }}.yml.j2
    dest: "{{ volumes_root }}/{{ service_item }}/docker-compose.yml"
  vars:
    tor_domain: "{{ tor_http_domain_file.stdout | default('') }}"
    uid: "{{ uid_output.stdout }}"
    gid: "{{ gid_output.stdout }}"

- name: Configure {{ service_item }} systemd service.
  template:
    src: service.j2
    dest: /etc/systemd/system/{{ service_item }}.service
